<?php
   $target='cod';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/clientes.php"); 
   
   $nombrepagina = "CREACION DE CLIENTES";
   encabezado($target); 
   $user=$_SESSION['validar'];
   $filas=1;   
   if($filas == 1){ 
	 class llamado{
	 	var $menuObj;
	    function validar1($id_user,$id_sucursal){
	 		$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
	  	}
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Creacion Cliente ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td2>
Codigo Cliente:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="cod" class="inputbox" size="25" readonly value="<? $cod=con_max('clientes','cod_cliente'); echo  $cod ?>">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td2>
Nombre Cliente:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="nombre" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td2>
NIT:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="nitt" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td2>
Direccion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="dir" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Telefono:</td>
<td width="150" class="miTable_td">
<input type="text" name="tel" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Fax:</td>
<td width="150" class="miTable_td">
<input type="text" name="fax" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
E-mail:</td>
<td width="150" class="miTable_td">
<input type="text" name="email" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Web Page:</td>
<td width="150" class="miTable_td">
<input type="text" name="web" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Estado:</td>
<td width="150" class="miTable_td">
<select name="est" class="inputbox">
<option value="1">Activo</option>
<option value="0">Inactivo</option>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Ciudad:</td>
<td width="150" class="miTable_td">
<select name="ciudad" class="inputbox">
<?
get_ciudad();
?>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Sucursal:</td>
<td width="150" class="miTable_td">
<?
get_sucursal($_SESSION['perfil'],$_GET['suc']);
?>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Registrar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(!isset($Registrar)){
		
     }else{
		class crearSucursal{
	  		var $crearObj;
	  		var $conexionObj;
	  		var $estado;
			function setCrear($nit,$nombre,$cod,$dir,$tel,$fax,$email,$web,$est,$ciudad,$suc){
	  			$id_user=$_GET['id_user'];
			 	$id_suc=$_GET['suc'];
			 	if($cod=='' || $nit=='' || $nombre=='' || $dir==''){
			 		$msgBOX2 = "Algunos Campos Requeridos Estan Vacios.";
	  		    	echo "<script>
					setTimeout(location.href='crear_cliente.php?id_user=$id_user&suc=$id_suc', 100);
	            	alert('$msgBOX2');
	  		  		</script>";
			 	}else{
	  		 		$this->crearObj=new clientes();
			 		$this->crearObj->setCod_cliente($cod);
	  		 		$this->crearObj->setNombre($nombre);
			 		$this->crearObj->setNit($nit);
	  		 		$this->crearObj->setDireccion($dir);
	  		 		$this->crearObj->setTelefono($tel);
			 		$this->crearObj->setFax($fax);
			 		$this->crearObj->setEmail($email);
			 		$this->crearObj->setWebpage($web);
			 		$this->crearObj->setEstado($est);
			 		$this->crearObj->setCod_ciudad($ciudad);
			 		$this->crearObj->setSucursal($suc);
			 	}
	  	  	}
			function getCrear(){
		    	return $this->crearObj;
			}
			function validar(){
				$this->conexionObj= new conexion();
				$this->conexionObj->conectarse();
				$rst_validar=$this->conexionObj->consultar("SELECT * FROM clientes WHERE nombre='".$this->crearObj->getNombre()."' AND cod_cliente='".$this->crearObj->getCod_cliente()."'");
				if(mysql_num_rows($rst_validar)>=1){
					$msgBOX2 = "Cliente Existe en Sistema.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}else{
					$nit=$this->crearObj->getNit();
					$cod=$this->crearObj->getCod_cliente();
					$nombre=$this->crearObj->getNombre();
					$nombre=strtoupper($nombre);
					$dir=$this->crearObj->getDireccion();
					$tel=$this->crearObj->getTelefono();
					$fax=$this->crearObj->getFax();
					$email=$this->crearObj->getEmail();
					$web=$this->crearObj->getWebpage();
					$est=$this->crearObj->getEstado();
					$ciudad=$this->crearObj->getCod_ciudad();
					$suc=$this->crearObj->getSucursal();
					$this->insertarDatos($nit,$nombre,$cod,$dir,$tel,$fax,$email,$web,$est,$ciudad,$suc);
				}
			}
			function insertarDatos($nit,$nombre,$cod,$dir,$tel,$fax,$email,$web,$est,$ciudad,$suc){
				$clivence='12';
				$rst_insertar=$this->conexionObj->modificar("INSERT INTO clientes VALUES ('0','".$cod."','".$nombre."','".$nit."','".$dir."','".$tel."','".$fax."','".$email."','".$web."','".$est."','".$ciudad."','".$suc."','".$clivence."',0)");
				$affected_rows=mysql_affected_rows();
				if($affected_rows>=1){
			    	$msgBOX2 = "Cliente Creado Exitosamente.";
	  		    	echo "<script>ence
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}else{
			    	$msgBOX2 = "Cliente No Pudo ser Creado.";
			    	echo "Error MySql: ".mysql_error();
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}
			}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearSucursalObj=new crearSucursal();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$crearSucursalObj->setCrear($_POST['nitt'],$_POST['nombre'],$_POST['cod'],$_POST['dir'],$_POST['tel'],$_POST['fax'],$_POST['email'],$_POST['web'],$_POST['est'],$_POST['ciudad'],$_POST['sucursal']);
// LAMANDO EL METODO DE NEGOCIO
$crearSucursalObj->validar();
}
	mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
